:host {
  display: flex;
  flex-direction: column;
}

.nav-container {
  flex: 1;
  background: transparent;
}

.root-toolbar, .right-panel {
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.root-toolbar {
  background-color: color-mix(in srgb, var(--mat-toolbar-container-background-color), transparent 60%);
}

.layout {
  height: 100%;
}

.sidenav {
  width: 300px;
  max-width: 80vw;

  .sidenav-link {
    &:focus {
      &:before {
        opacity: 0;
      }
    }

    &.active {
      &:before {
        background-color: var(--mdc-list-list-item-focus-state-layer-color);
        opacity: var(--mdc-list-list-item-focus-state-layer-opacity);
      }
    }
  }
}

.go-top {
  z-index: 1;
  position: fixed;
  bottom: 50px;
  right: 50px;
  background: #eeeeee;
  &::ng-deep {
    .mat-mdc-button-persistent-ripple {
      box-shadow: 0 0 20px 0 #000;
    }
  }
}
